<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['libr-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm.php"; exit();}

if(empty($_POST['libr_id'])) {puterror($result2['skin'],$TEXT['error-no-id']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['libr_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm.php"; exit();}
if(empty($_POST['libr'])) {puterror($result2['skin'],$TEXT['error-libr1']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['libr'])>255) {puterror($result2['skin'],$TEXT['error-libr2']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['addr'])>255) {puterror($result2['skin'],$TEXT['error-libr10']); require_once "../utils/bottom_adm.php"; exit();}

if(isset($_POST['libr'])) {$libr=trim($_POST['libr']);}
 else {$libr="";}
if(empty($libr)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm.php"; exit();}

$_POST['libr'] = rep($_POST['libr']);
$_POST['libr_id'] = rep($_POST['libr_id']);
$_POST['addr'] = rep($_POST['addr']);

  //*************************************
  //Информация для лога
  $query10 = "SELECT `name` FROM `tbl_biblioteka` WHERE `bibl_id`='".$_POST['libr_id']."' ";
  $result10 = mysqli_query($dbcnx,$query10);
  if(!$result10) {puterror($result2['skin'],$TEXT['error-tbl2']); require_once "../utils/bottom_adm.php"; exit();}
      $result_lib = mysqli_fetch_array($result10);
      if($_POST['libr']!=$result_lib['name']) {
          $query9 = "SELECT `name` FROM `tbl_biblioteka` WHERE `name`='".$_POST['libr']."' ";
            $result9 = mysqli_query($dbcnx,$query9);
              if(!$result9) {puterror($result2['skin'],$TEXT['error-tbl2']); require_once "../utils/bottom_adm.php"; exit();}
                 if(mysqli_num_rows($result9)>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}
                   else {$name_lib = "`name` = '".$_POST['libr']."', ";}
        }
       else {$name_lib = "";}

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-libr3'];
  $what = $result_lib['name'].$TEXT['log-id'].$_POST['libr_id'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "UPDATE `tbl_biblioteka` SET $name_lib `address_bibl` = '".$_POST['addr']."' WHERE `bibl_id`='".$_POST['libr_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl2']); require_once "../utils/bottom_adm.php"; exit();}
require_once "../utils/bottom_adm.php";
?>